Main Page Widgets Namespaces Book

# filechooser.h File Reference

## Classes
class | Gtk::FileChooser
| Gtk::FileChooser is an interface that can be implemented by file selection widgets. More...
class | Gtk::FileChooserError
| Exception class for Gdk::FileChooser errors. More...
## Namespaces
namespace | Glib
namespace | Gtk
## Enumerations
enum | Gtk::FileChooserAction { Gtk::FILE_CHOOSER_ACTION_OPEN, Gtk::FILE_CHOOSER_ACTION_SAVE, Gtk::FILE_CHOOSER_ACTION_SELECT_FOLDER, Gtk::FILE_CHOOSER_ACTION_CREATE_FOLDER }
enum | Gtk::FileChooserConfirmation { Gtk::FILE_CHOOSER_CONFIRMATION_CONFIRM, Gtk::FILE_CHOOSER_CONFIRMATION_ACCEPT_FILENAME, Gtk::FILE_CHOOSER_CONFIRMATION_SELECT_AGAIN }